<ui:composition xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml">
  <h:form id="globalForm">
    <rich:tree id="treesubid" value="#{pageNavigationManager.treePage}" adviseNodeOpened="#{pageNavigationManager.getAdviseNodeOpened()}" var="node" style="vertical-align:top" nodeType="#{node.data.class.simpleName}" toggleType="client">
      <rich:treeNode type="Page" iconLeaf="/img/folder.png" width="20" height="20" iconExpanded="/img/folder.png" iconCollapsed="/img/folder.png">
        <h:outputLink styleClass="menuLink" value="#{node.data.link.value}">
          <h:outputText value="#{node.data.name}"/>
        </h:outputLink>
      </rich:treeNode>
    </rich:tree>
  </h:form>
</ui:composition>
